
kerio.waw.ui.interfaceAdvancedEditor = {
x_m: function(x_n) {
this.x_ga = x_n; var x_2w = this.x_ga + '_';
var x_1b = kerio.lib;
var x_x = x_1b.x_x;
var x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t);
var x_114 = ('x_115' === x_n);
var x_116, x_117, x_118, x_119;
if (x_114) {
x_116 = {
x_1e: [
{
x_1f: 'x_79',
x_23: x_x('Availability detection', 'interfaceAdvancedEditor'),
x_1m: !x_114,
x_1e: [
{
x_1f: 'x_1i',
x_1l: true,
x_1o: x_x('An ICMP ping message is sent periodically to probe hosts to determine whether the connection is available.', 'interfaceAdvancedEditor')
},
{
x_1f: 'x_7a',
x_7b: 'x_11a',
x_1o: false,
x_1l: true,
x_1s: x_x('Use the primary default gateway as the probe host', 'interfaceAdvancedEditor'),

x_9t: function(x_1c, x_7a, x_1o) {
x_1c.x_84(['x_11b','x_11c'], !x_1o); }
},
{
x_1f: 'x_7a',
x_7b: 'x_11a',
x_1o: true,
x_1l: true,
x_1s: x_x('Use the following specified IP addresses as the probe hosts:', 'interfaceAdvancedEditor')
},
{
x_1j: 'x_11b',
x_1l: true,
x_b2: 1,
x_93: 511,
x_b6: {
x_nv: 'x_11d',
x_b7: false
}
},
{
x_1f: 'x_1i',
x_1j: 'x_11c',
x_1l: true,
x_b2: 1,
x_1o: x_x('Use semicolons ( ; ) to separate individual entries.', 'interfaceAdvancedEditor')
}
] }
] };x_117 = new x_1b.x_1t(x_2w + 'x_1c', x_116);
} else { x_118 = {
x_o: x_o,
x_4w: false,
x_5s: 'x_cq',
x_6h: {
x_5g: 'interfaceAdvancedRuleEditor',
x_n: {
x_55: 'x_11e',
x_57: 'x_11f',
x_54: 'x_11g'
}
},
x_5x: {
x_d2: false, x_1e: [{
x_7s: 'dialEnabled',
x_23: x_x('Action', 'common'),
x_1u: 100,
x_7u: kerio.waw.shared.x_3e.x_8q.x_11h
}, {
x_7s: 'dnsName',
x_23: x_x('DNS Name', 'common')
}]
}, x_5v: {
x_64: {
x_1f: 'x_gr',
x_2v: new kerio.lib.x_ar(x_2w + 'x_11i', {
x_1l: true,
x_1s: x_x('Enable dialing for local DNS names (names where the domain part is missing)', 'interfaceAdvancedEditor')
})
}
}
}; x_119 = new kerio.waw.shared.x_17.x_f9(x_2w + 'x_11j', x_118);
} var x_10 = {
x_1v: (x_114) ? 275 : 350,
x_1u: 560,
x_1y: (x_114)
? x_x('Advanced Connectivity Options', 'interfaceAdvancedEditor')
: x_x('DNS rules', 'interfaceAdvancedEditor'),
x_1x: (x_114)
? x_117
: x_119,

x_mc: function(x_32){
x_32.x_16.x_oa();
} }; var x_16 = new x_1b.x_26(this.x_ga, new x_fa.x_11k.x_11l(x_10));
if (x_o && x_114) {
x_117.x_7f();
}
x_16.x_27(
{	x_n: x_n,
x_o: x_o
}
);if (x_114) {
x_16.x_27({
x_1c: x_117
});
x_117.x_27({
x_16: x_16
});
}
else { x_16.x_27({
x_119: x_119,
x_11i: x_119.x_5v.x_64 });
x_119.x_27({
x_11m: {
x_11n: x_x('Dial', 'interfaceList'),
x_11o: x_x('Ignore', 'common')
}
});
} this.x_2a(x_16); if (x_114) {
this.x_11p(x_16);
}
else {
this.x_11q(x_16);
}
return x_16;
},
x_2a: function(x_2b) {

x_2b.x_11r = function() {
kerio.waw.status.x_14.x_15(true);
this.x_24(false);
this.x_2r();
};
},

x_11p: function(x_2b) {

x_2b.x_2c = function(x_28) {
var x_o5 = x_28.x_47;
this.x_o5 = x_o5; var x_11b = x_o5.probeHosts;
this.x_1c.x_7k({
x_11a: x_11b.enabled,
x_11b: x_11b.value
});
};
x_2b.x_oa = function() {
var x_47 = this.x_1c.x_7i(true);
var x_o5 = this.x_o5;
var x_11s = {
probeHosts: {
enabled: x_47.x_11a,
value: x_47.x_11b
}
};
x_fi.x_iq(x_11s, x_o5); this.x_11r();
};
x_2b.x_jo = function() {
this.x_1c.x_2h();
};
}, 
x_11q: function(x_2b) {

x_2b.x_2c = function(x_28) {
var x_o5 = x_28.x_47;
this.x_o5 = x_o5; this.x_119.x_7k(kerio.lib.x_9m(x_o5.dialRules)); this.x_11i.x_9w(x_o5.dialDnsWithoutDomain);
};
x_2b.x_oa = function() {
var x_o5 = this.x_o5;
var x_11s = {
dialRules: this.x_119.x_7i(),
dialDnsWithoutDomain: this.x_11i.x_2t()
};
x_fi.x_iq(x_11s, x_o5); this.x_11r();
};}}; 